Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sourceforge.pmd.jsp.ast
Class ASTDoctypeExternalId

    java.lang.Object
      net.sourceforge.pmd.ast.SimpleNode
          net.sourceforge.pmd.jsp.ast.SimpleNode
              net.sourceforge.pmd.jsp.ast.ASTDoctypeExternalId

All Implemented Interfaces:
  Node, Node

public class ASTDoctypeExternalId
extends SimpleNode

Field Summary

Fields inherited from class net.sourceforge.pmd.jsp.ast.SimpleNode
`parser`

Fields inherited from class net.sourceforge.pmd.ast.SimpleNode
`beginColumn, beginLine, children, endColumn, endLine, id, parent`

Constructor Summary
`ASTDoctypeExternalId(int id)`
`ASTDoctypeExternalId(JspParser p, int id)`

Method Summary
`java.lang.String` | `getPublicId()`
`java.lang.String` | `getUri()`
`boolean` | `isHasPublicId()`
`java.lang.Object` | `jjtAccept(JspParserVisitor visitor, java.lang.Object data)` Accept the visitor.
`void` | `setPublicId(java.lang.String publicId)`
`void` | `setUri(java.lang.String name)`
`java.lang.String` | `toString(java.lang.String prefix)`

Methods inherited from class net.sourceforge.pmd.jsp.ast.SimpleNode
`childrenAccept, jjtClose, jjtOpen, toString`

Methods inherited from class net.sourceforge.pmd.ast.SimpleNode
`appendElement, asXml, containsChildOfType, dump, dumpChildren, findChildNodesWithXPath, findChildrenOfType, findChildrenOfType, findChildrenOfType, getBeginColumn, getBeginLine, getDataFlowNode, getEndColumn, getEndLine, getFirstChildOfType, getFirstParentOfType, getImage, getLabel, getNthParent, getParentsOfType, getScope, hasImageEqualTo, jjtAddChild, jjtGetChild, jjtGetNumChildren, jjtGetParent, jjtSetParent, setDataFlowNode, setImage, setScope, testingOnly__setBeginColumn, testingOnly__setBeginLine`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface net.sourceforge.pmd.ast.Node
`jjtAddChild, jjtGetChild, jjtGetNumChildren, jjtGetParent, jjtSetParent`

Constructor Detail

### ASTDoctypeExternalId

    public ASTDoctypeExternalId(int id)

### ASTDoctypeExternalId

    public ASTDoctypeExternalId(JspParser p,
                                int id)

Method Detail

### isHasPublicId

    public boolean isHasPublicId()

### getUri

    public java.lang.String getUri()

  Returns:
    Returns the name.

### setUri

    public void setUri(java.lang.String name)

  Parameters:
    `name` - The name to set.

### getPublicId

    public java.lang.String getPublicId()

  Returns:
    Returns the publicId (or an empty string if there is none for this external entity id).

### setPublicId

    public void setPublicId(java.lang.String publicId)

  Parameters:
    `publicId` - The publicId to set.

### toString

    public java.lang.String toString(java.lang.String prefix)

  Overrides:
    `toString` in class `SimpleNode`

### jjtAccept

    public java.lang.Object jjtAccept(JspParserVisitor visitor,
                                      java.lang.Object data)

  Accept the visitor. *

  Specified by:
    `jjtAccept` in interface `Node`
  Overrides:
    `jjtAccept` in class `SimpleNode`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2006 InfoEther. All Rights Reserved.